Warehouse Transfer
The warehouse transfer resource.
Basehttps://rest.carbon.ms/warehouseTransfer
GET
/warehouseTransferList warehouse transfers
Retrieve a paginated list of warehouse transfers. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/warehouseTransfer
curl --request GET \
--url 'https://rest.carbon.ms/warehouseTransfer?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"transferId": "xyz789",
"fromLocationId": "xyz789",
"toLocationId": "xyz789",
"status": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]GET
/warehouseTransferRetrieve a warehouse transfer
Fetch a single warehouse transfer by filtering on `id`.
Query parameters
idstringMatch on the warehouse transfer's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/warehouseTransfer
curl --request GET \
--url 'https://rest.carbon.ms/warehouseTransfer?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"transferId": "xyz789",
"fromLocationId": "xyz789",
"toLocationId": "xyz789",
"status": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}POST
/warehouseTransferCreate a warehouse transfer
Create a new warehouse transfer.
Body parameters
transferIdstringrequiredfromLocationIdstringrequiredReferences location.id
toLocationIdstringrequiredReferences location.id
statuswarehouseTransferStatusrequiredtransferDatedateexpectedReceiptDatedatenotesstringreferencestringcompanyIdstringrequiredReferences company.id
customFieldsobjecttagsarrayPOSThttps://rest.carbon.ms/warehouseTransfer
curl --request POST \
--url https://rest.carbon.ms/warehouseTransfer \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"transferId":"xyz789","fromLocationId":"xyz789","toLocationId":"xyz789","status":"string","companyId":"xyz789"}'Response
{
"id": "abc123def456",
"transferId": "xyz789",
"fromLocationId": "xyz789",
"toLocationId": "xyz789",
"status": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}PATCH
/warehouseTransferUpdate a warehouse transfer
Update an existing warehouse transfer, matched on `id`.
Body parameters
transferIdstringrequiredfromLocationIdstringrequiredReferences location.id
toLocationIdstringrequiredReferences location.id
statuswarehouseTransferStatusrequiredtransferDatedateexpectedReceiptDatedatenotesstringreferencestringcompanyIdstringrequiredReferences company.id
customFieldsobjecttagsarrayPATCHhttps://rest.carbon.ms/warehouseTransfer
curl --request PATCH \
--url 'https://rest.carbon.ms/warehouseTransfer?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"transferId":"xyz789"}'Response
{
"id": "abc123def456",
"transferId": "xyz789",
"fromLocationId": "xyz789",
"toLocationId": "xyz789",
"status": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}DELETE
/warehouseTransferDelete a warehouse transfer
Delete a warehouse transfer, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the warehouse transfer to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/warehouseTransfer
curl --request DELETE \
--url 'https://rest.carbon.ms/warehouseTransfer?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content